Package com.xebialabs.xlrelease.domain.runner

# Class RunnerAuditEventType.UPDATE$

java.lang.Object
com.xebialabs.xlrelease.domain.runner.RunnerAuditEventType.UPDATE$

All Implemented Interfaces:
  `RunnerAuditEventType`, `Serializable`, `scala.Equals`, `scala.Product`

Enclosing interface:
  `RunnerAuditEventType`

public static class RunnerAuditEventType.UPDATE$ extends Object implements RunnerAuditEventType, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.xebialabs.xlrelease.domain.runner.RunnerAuditEventType

  `RunnerAuditEventType.CREATE$, RunnerAuditEventType.DELETE$, RunnerAuditEventType.UPDATE$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RunnerAuditEventType.UPDATE$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UPDATE$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `int`
  `hashCode()`
  `String`
  `name()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Equals

  `equals`

  ### Methods inherited from interface scala.Product

  `productElementName, productElementNames`

- ## Field Details

  - ### MODULE$

    public static final RunnerAuditEventType.UPDATE$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### UPDATE$

    public UPDATE$()

- ## Method Details

  - ### name

    public String name()
    Specified by:
      `name` in interface `RunnerAuditEventType`

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`